function output=read_tacho(value)
%try
fwrite(value,254);
fedx=fread(value,[2]);
fed2bin=dec2bin(fedx(1),8);
fed1bin=dec2bin(fedx(2),8);
fedbin =[fed1bin fed2bin];
fed=round_val((bin2dec(fedbin)),2);
out_dac=round_val(scaling(0,4096,0,2.5,fed),4);
out_volt=round_val(scaling(0,2.3,-0.35,0.35,out_dac),5);
output=out_volt;
%catch
    %error('Error communicating with the unit-Try re-intialising');
%end
end